import type { Table } from 'apache-arrow';
import type { ECharts, EChartsOption } from 'echarts';
import type { EChartsInitOpts } from './eChartsTypes';
export declare abstract class EChartsBaseChart {
    protected chart: ECharts;
    constructor(element: HTMLElement | null, option: EChartsOption, initOptions: EChartsInitOpts, data?: Table | Table[], theme?: string);
    setOption(option: EChartsOption): void;
    protected abstract init(element: HTMLElement | null, initOptions: EChartsInitOpts, theme?: string): ECharts;
    private mergeOption;
}
