import { ArrowDataToJSON } from '../utils/arrowToJSON';
export class EChartsBaseChart {
    chart;
    constructor(element, option, initOptions, data, theme) {
        this.chart = this.init(element, initOptions, theme);
        this.chart.setOption(this.mergeOption(option, data));
    }
    setOption(option) {
        this.chart.setOption(option);
    }
    mergeOption(option, data) {
        if (!data)
            return option;
        const dataset = new ArrowDataToJSON(data).call();
        // @ts-ignore
        return { ...option, dataset };
    }
}
