import { registerTheme } from 'echarts';
export class EChartsBaseConfig {
    THEME_NAME = 'custom_theme';
    initOptions = { renderer: 'canvas' };
    theme;
    constructor(theme, initOptions) {
        if (theme) {
            registerTheme(this.THEME_NAME, theme);
            this.theme = this.THEME_NAME;
        }
        if (initOptions)
            this.initOptions = initOptions;
    }
}
