import type { Table } from 'apache-arrow';
import type { EChartsOption } from 'echarts';
import type { EChartsInitOpts, Extensions, ThemeOption } from './eChartsTypes';
import { EChartsBaseConfig } from './eChartsBaseConfig';
import { EChartsHTMLChart } from './eChartsHTMLChart';
export declare class EChartsHTMLConfig extends EChartsBaseConfig {
    constructor(theme?: ThemeOption, initOptions?: EChartsInitOpts, components?: Extensions);
    build(element: HTMLElement | HTMLCanvasElement | null, option: EChartsOption, data?: Table | Table[]): EChartsHTMLChart;
    private addComponents;
}
