import type { Table } from 'apache-arrow';
import type { EChartsInitOpts } from './eChartsTypes';
import { type EChartsOption } from 'echarts';
import { EChartsBaseChart } from './eChartsBaseChart';
export declare class EChartsSVGChart extends EChartsBaseChart {
    constructor(option: EChartsOption, initOptions: EChartsInitOpts, data?: Table | Table[], theme?: string);
    init(element: HTMLElement | null, initOptions: EChartsInitOpts, theme?: string): import("echarts/types/dist/echarts").ECharts;
    render(): string;
}
