import type { Table } from 'apache-arrow';
import type { EChartsOption } from 'echarts';
import type { EChartsInitOpts, ThemeOption } from './eChartsTypes';
import { EChartsBaseConfig } from './eChartsBaseConfig';
import { EChartsSVGChart } from './eChartsSVGChart';
export declare class EChartsSVGConfig extends EChartsBaseConfig {
    constructor(theme?: ThemeOption, initOptions?: EChartsInitOpts);
    build(option: EChartsOption, width: number, height: number, data?: Table | Table[]): EChartsSVGChart;
}
