import { EChartsBaseConfig } from './eChartsBaseConfig';
import { EChartsSVGChart } from './eChartsSVGChart';
export class EChartsSVGConfig extends EChartsBaseConfig {
    constructor(theme, initOptions) {
        super(theme, initOptions);
        this.initOptions.renderer = 'svg';
        this.initOptions.ssr = true;
    }
    build(option, width, height, data) {
        return new EChartsSVGChart(option, { ...this.initOptions, width, height }, data, this.theme);
    }
}
